Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 431872 - x11-terms/kmscon - Linux KMS/DRM based virtual Console Emulator
Summary: x11-terms/kmscon - Linux KMS/DRM based virtual Console Emulator
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Default Assignee for New Packages
URL: https://github.com/dvdhrm/kmscon
Whiteboard:
Keywords: EBUILD, InOverlay
Depends on: 439578
Blocks:
  Show dependency tree
 
Reported: 2012-08-18 15:49 UTC by Manuel Rüger (RETIRED)
Modified: 2013-03-27 04:07 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
kmscon-3.ebuild (kmscon-3.ebuild,1.45 KB, text/plain)
2012-08-20 19:18 UTC, Julian Ospald
Details
kmscon-3-flags.patch (kmscon-3-flags.patch,423 bytes, patch)
2012-08-20 19:18 UTC, Julian Ospald
Details | Diff
kmscon-9999 live ebuild (kmscon-9999.ebuild,2.68 KB, text/plain)
2013-03-24 15:14 UTC, Amir Aupov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Rüger (RETIRED) gentoo-dev 2012-08-18 15:49:04 UTC
Not found in tree, would be nice to see it there.

"Kmscon is a simple terminal emulator based on linux kernel mode setting (KMS).
It is an attempt to replace the in-kernel VT implementation with a userspace
console.




  Kmscon requires the following software:
    - libudev: providing input, video, etc. device hotplug support

  Everything else is optional:

    For video output at least one of the following is required:
      - fbdev: For framebuffer video output the kernel headers must be installed
               and located in the default include path.
      - DRM: For unaccelerated drm output the "libdrm" library must be installed
             and accessible via pkg-config.
      - OpenGLES2: For accelerated video output via OpenGLESv2 the following must
                   be installed: libdrm, libgbm, egl, glesv2 (i.e., mesa)

    By default a very limited built-in keyboard handling is used. To get other
    keyboard layouts working, the following is required:
      - libxkbcommon: keyboard handling (optional but strongly recommended)
                      Without libxkbcommon, basic US-ASCII input is provided.
    libxkbcommon has no public release, yet, but is available on freedesktop.org.
    Use "--disable-xkbcommon" if you have problems due to compile-errors.

    For font handling the following is required:
      - 8x16: The 8x16 font is a static built-in font which does not require
              external dependencies.
      - freetype2: The freetype2 font uses libfreetype2 and libfontconfig to
                   provide a very basic font backend.
      - pango: drawing text with pango
               Pango requires: glib, pango, fontconfig, freetype2 and more

    For multi-seat support you need the following packages:
      - systemd: Actually only the systemd-logind daemon and library is required.
"
Comment 1 Roger 2012-08-20 09:05:07 UTC
Add my vote to get this into the tree.  Although Gentoo ebuild maintainers for some reason always want releases rather then CVS/Subversion/Git stuff.  I prefer the later.  Also heard of spectacular blazing speed results using KMSCON over the kernel's console, even without using the DRM.
Comment 2 Manuel Rüger (RETIRED) gentoo-dev 2012-08-20 11:54:50 UTC
Ehm... there are already tagged releases available: https://github.com/dvdhrm/kmscon/tags
Comment 3 Chí-Thanh Christopher Nguyễn gentoo-dev 2012-08-20 16:34:30 UTC
A lack of releases is not a problem for getting something into the portage tree.

However, before this can happen, someone has to actually create an ebuild for this.
Comment 4 Julian Ospald 2012-08-20 16:46:55 UTC
maybe a developer could create an ebuild
Comment 5 Julian Ospald 2012-08-20 19:18:05 UTC
Created attachment 321780 [details]
kmscon-3.ebuild
Comment 6 Julian Ospald 2012-08-20 19:18:18 UTC
Created attachment 321782 [details, diff]
kmscon-3-flags.patch
Comment 7 Julian Ospald 2012-08-20 19:19:13 UTC
does not compile with gcc:4.5 (but with 4.6 and 4.7) and I don't see anything when I start it no matter what useflags or cli options I use
Comment 8 Manuel Rüger (RETIRED) gentoo-dev 2012-09-09 00:51:29 UTC
kmscon-4 is out.
Comment 9 Julian Ospald 2012-09-09 09:08:24 UTC
also broken?
Comment 10 Roger 2012-11-03 08:46:11 UTC
kmscon-6 is out.  Looks like the author has fixed the build system too.  I'm seemingly getting a good compile (with warnings).  I'm just missing the kmscon binary -- and "./configure --enable-debug --enable-kmscon" seems to be missing "xno: command not found".  (Likely very easy to figure-out.)
Comment 11 Julian Ospald 2012-11-03 12:17:56 UTC
(In reply to comment #10)
> kmscon-6 is out.  Looks like the author has fixed the build system too.  I'm
> seemingly getting a good compile (with warnings).  I'm just missing the
> kmscon binary -- and "./configure --enable-debug --enable-kmscon" seems to
> be missing "xno: command not found".  (Likely very easy to figure-out.)

that sounds like a broken build system, not a fixed one and indicates that he didn't even compile that release

also, I don't seee kmscon-6 anywhere
Comment 12 Roger 2012-11-03 18:37:23 UTC
(In reply to comment #11)

I've responded privately to this post as I considered it somewhat off-topic.
Comment 13 Julian Ospald 2012-11-03 18:49:01 UTC
(In reply to comment #12)
> (In reply to comment #11)
> 
> I've responded privately to this post as I considered it somewhat off-topic.

respond here.
Comment 14 Roger 2012-11-05 00:29:31 UTC
I posted to the kmscon's issue git page about the configure/compile time issues.

Also, there seems to be currently no existing Gentoo ebuild for x11-libs/libxkbcommon.  There used to be ebuilds at zugaina and benf overlays, but no more for some reason.

libxkbcommon is a depend for kmscon.
Comment 15 Roger 2012-11-05 00:30:40 UTC
I should also add, the author of kmscon has made changes today concerning these configure/compile time issues, but I'm lacking the x11-libs/libxkbcommon to further test, besides using further Git versions.
Comment 16 Amir Aupov 2013-03-24 15:14:17 UTC
Created attachment 343102 [details]
kmscon-9999 live ebuild

Modified kmscon-6.ebuild from plab overlay: 
it now passes valid options to autogen
installation of systemd services
Comment 17 Alexey Shvetsov gentoo-dev 2013-03-24 18:45:02 UTC
Ebuild added to x11 overlay
Comment 18 Alexey Shvetsov gentoo-dev 2013-03-27 04:07:42 UTC
Added to tree